Subject: [Mobike] D114 Design draft, terminology

From: Tero Kivinen <[email-masked]>
Date: Tue, 3 Jan 2006 20:20:12 +0200

[issue list: http://www.kivinen.iki.fi/ietf/mobike-design-issues.html
 working copy of document:
 http://www.kivinen.iki.fi/ietf/draft-ietf-mobike-design-06.txt]

[email-masked] writes:
> - Overall: My impression is that most of this section is baggage we
>   accumulated from other documents, but don't actually need
>   anymore. Some of the terms are never used outside the terminology
>   section, and some others are used only once or twice.

We did has this discussion in the IETF last time, and I think most of
the people there did want to keep the terms. 

> - "Available address": Neither IKEv2, 2401bis nor
>   draft-ietf-mobike-protocol prohibits using IPsec for 
>   link-local addresses (although it's probably not very useful 
>   in most cases), so this definition is not totally accurate.
> 
> - "Available address": RFC2462 defines "tentative address"
>   as "an address whose uniqueness on a link is being verified, 
>   prior to its assignment to an interface." Thus, it seems
>   mentioning tentative addresses in this context is redundant.

I myself think we should keep the Available address. 

> - "Locally operational address" is not used anywhere 
>   else except the terminology section.

True that we could combine it to the peer address set, but I think it
is easier to keep this and define peer address set based on it. 

> - "Full Cone", "Restricted Cone", and "Port Restricted Cone" are 
>   not used anywhere in the document.

True, we could remove those. Remove (and the reference to 3489 too).

> - "Preferred Address": This term is quite unclear (as I've pointed
>   out earlier). Does this mean the "current address" ("what was 
>   in the newest UPDATE_SA_ADDRESSES message" -- but then calling
>   it "preferred" is misleading), or something different?  

It does not match anything that is used by the protocol document, as
we decided to select initiator decides option. It really has different
meaning from the current address in cases where we can have asymmetry,
and as we do describe why we ended up having initiator decides, we
need to also describe cases where we have asymmetry. 
-- 
[email-masked]
_______________________________________________
Mobike mailing list
[email-masked]
https://www.machshav.com/mailman/listinfo.cgi/mobike